JDKPKCS12StoreParameter (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jce.provider

## Class JDKPKCS12StoreParameter

- java.lang.Object
- - org.bouncycastle.jce.provider.JDKPKCS12StoreParameter

- All Implemented Interfaces:
    java.security.KeyStore.LoadStoreParameter

  Deprecated.
  use org.bouncycastle.jcajce.config.PKCS12StoreParameter

      public class JDKPKCS12StoreParameter
      extends java.lang.Object
      implements java.security.KeyStore.LoadStoreParameter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDKPKCS12StoreParameter()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.OutputStream` | `getOutputStream()` Deprecated.
    `java.security.KeyStore.ProtectionParameter` | `getProtectionParameter()` Deprecated.
    `boolean` | `isUseDEREncoding()` Deprecated.
    `void` | `setOutputStream(java.io.OutputStream outputStream)` Deprecated.
    `void` | `setPassword(char[] password)` Deprecated.
    `void` | `setProtectionParameter(java.security.KeyStore.ProtectionParameter protectionParameter)` Deprecated.
    `void` | `setUseDEREncoding(boolean useDEREncoding)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDKPKCS12StoreParameter

          public JDKPKCS12StoreParameter()

      Deprecated.

  - ### Method Detail

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()

      Deprecated.

    - #### getProtectionParameter

          public java.security.KeyStore.ProtectionParameter getProtectionParameter()

      Deprecated.
      Specified by:
        `getProtectionParameter` in interface `java.security.KeyStore.LoadStoreParameter`

    - #### isUseDEREncoding

          public boolean isUseDEREncoding()

      Deprecated.

    - #### setOutputStream

          public void setOutputStream(java.io.OutputStream outputStream)

      Deprecated.

    - #### setPassword

          public void setPassword(char[] password)

      Deprecated.

    - #### setProtectionParameter

          public void setProtectionParameter(java.security.KeyStore.ProtectionParameter protectionParameter)

      Deprecated.

    - #### setUseDEREncoding

          public void setUseDEREncoding(boolean useDEREncoding)

      Deprecated.